Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Attributes | Static Private Attributes | List of all members
TreeItem Class Reference

## Public Member Functions
| TreeItem (int _id, QString _name, DataType _type, TreeItem *_parent)
int | id ()
| id
DataType | dataType ()
| dataType
bool | dataType (DataType _type)
int | group ()
| group
bool | isGroup ()
bool | target ()
| target
void | target (bool _target)
bool | source ()
| source
void | source (bool _source)
bool | visible ()
| visible
void | visible (bool _visible)
QString | name ()
| name
void | name (QString _name)
TreeItem * | next ()
int | level ()
| TreeItem (int _id, QString _name, DataType _type, TreeItem *_parent)
int | id ()
| id
DataType | dataType ()
| dataType
bool | dataType (DataType _type)
int | group ()
| group
bool | isGroup ()
bool | visible ()
| visible
void | visible (bool _visible)
QString | name ()
| name
void | name (QString _name)
TreeItem * | next ()
int | level ()
Tree : Parent nodes
int | row () const
| get the row of this item from the parent
TreeItem * | parent ()
| Get the parent item ( 0 if root item )
void | setParent (TreeItem *_parent)
| Set the parent pointer.
int | row () const
| get the row of this item from the parent
TreeItem * | parent ()
| Get the parent item ( 0 if rootitem )
void | setParent (TreeItem *_parent)
| Set the parent pointer.
Tree : Children
TreeItem * | childExists (int _objectId)
| Check if the element exists in the subtree of this element.
void | appendChild (TreeItem *child)
| add a child to this node
TreeItem * | child (int row)
| return a child
int | childCount () const
| get the number of children
void | removeChild (TreeItem *_item)
| Remove a child from this object.
QList< TreeItem * > | getLeafs ()
| get all leafes of the tree below this object ( These will be all visible objects )
void | deleteSubtree ()
| delete the whole subtree below this item ( The item itself is not touched )
TreeItem * | childExists (int _objectId)
| Check if the element exists in the subtree of this element.
TreeItem * | childExists (QString _name)
| Check if the element exists in the subtree of this element.
void | appendChild (TreeItem *child)
| add a child to this node
TreeItem * | child (int row)
| return a child
int | childCount () const
| get the number of children
void | removeChild (TreeItem *_item)
| Remove a child from this object.
QList< TreeItem * > | getLeafs ()
| get all leafes of the tree below this object ( These will be all visible objects )
void | deleteSubtree ()
| delete the whole subtree below this item ( The item itself is not touched )

## Private Attributes
int | id_
DataType | dataType_
bool | target_
bool | source_
bool | visible_
QString | name_
TreeItem * | parentItem_
| Parent item or 0 if root node. More...
int | row_
| Index of this node in parent's childen.
QList< TreeItem * > | childItems_
| Children of this node.

## Static Private Attributes
static QMap< int, TreeItem * > | kTreeMap_
| Acceleration map.

## Detailed Description

Definition at line 59 of file TreeItem.hh.

## Member Function Documentation

int TreeItem::level | ( |  | ) |

level of the current object ( root node has level 0)

int TreeItem::level | ( |  | ) |

level of the current object ( root node has level 0)

Definition at line 221 of file TreeItem.cc.

TreeItem* TreeItem::next | ( |  | ) |

Get the next item of the tree (Preorder traversal of the tree)

TreeItem * TreeItem::next | ( |  | ) |

Get the next item of the tree (Preorder traversal of the tree)

Definition at line 185 of file TreeItem.cc.

## Member Data Documentation

TreeItem * TreeItem::parentItem_
| private

Parent item or 0 if root node.

Parent item or 0 if rootnode.

Definition at line 121 of file TreeItem.hh.

The documentation for this class was generated from the following files:

- Plugin-Datacontrol/TreeItem.hh
- Plugin-Datacontrol/TreeItem.cc